Skip to main content
Infrastructure/Agents
POSTAgentSince 1.0AsynchronousAsync WorkflowThis endpoint starts asynchronous work.Expect an initial acceptance response first, then follow the workflow-specific identifier or task status from the response payload.Auth Required

InstallPlugin

Install a plugin onto a specific agent by triggering an async install task

Execution Availability

Mock execution is currently unavailable for this endpoint.

Async endpoints are not available for mock execution yet.

Request Inputs

Path Parameters

  • agentIdStringRequired

    UUID of the agent on which to install the plugin

  • pluginIdStringRequired

    Unique identifier of the plugin to install

Responses

200 OK

On success, this API returns the following response structure.

  • installTaskIdString

    Task ID for tracking the asynchronous install operation

    Example: task-install-xyz789

Endpoint

POST/api/v1/agents/{agentId}/plugins/{pluginId}/install

/api/v1/agents/{agentId}/plugins/{pluginId}/install

Operation ID

InstallPlugin

Permalink

Request Example

curl -X POST '{host}/api/v1/agents/{agentId}/plugins/{pluginId}/install' -H 'Authorization: Bearer {token}' -H 'Content-Type: application/json' -d '{}'

Response Example

200
{
  "installTaskId": "task-install-xyz789"
}

Change History

This API has no change history records yet.

View all change history